Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037063
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSmajorhave not tried2017-09-27 17:572017-12-29 15:18
ReportermarvintmView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRR17Q4
StatusclosedFix in branchFixed in SCM revision0d45c808862f
ProjectionnoneETAnoneTarget VersionRR17Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037063: When entering the attribute value, the user shouldn't need to follow internal Openbravo format

DescriptionWhen support for attributes is enabled, the Web POS prompts the user to add the attribute values whenever a product which has associated attribute set is added to the ticket.

However, as of now the value needs to follow internal Openbravo rules (such as starting with # if it's serial number, or L if it's lot), and this is confusing for the user.

In some cases the codes will be generated and the products labelled directly by the company using Openbravo, but in many cases, the codes may be scanned directly from the original goods, and therefore it's quite a hassle for the user to have to correct these codes.

Ideally, the user should only have to scan the value as it is, and Openbravo should handle the conversion to its internal format automatically.
Steps To ReproduceUse Support for Attributes functionality, and verify that the serial number cannot be entered as it is, and # is required for the Web POS to recognize it properly.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0036966 closedguilleaer When entering the attribute value, the user shouldn't need to follow internal Openbravo format 

-  Notes
(0100066)
hgbot (developer)
2017-10-25 16:37

Repository: erp/backports/3.0PR17Q4
Changeset: 0d45c808862f08fbc57185151a7a66aef62e4a82
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Oct 25 14:54:52 2017 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR17Q4/rev/0d45c808862f08fbc57185151a7a66aef62e4a82 [^]

Fixed issue 37063 Backport of 36966: Retrieve AttSetIntance JSON info using PL

-Added PL function to retrieve json details about certain m_attsetinstance_id

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelApplicationInitializer.java
M src-db/database/sourcedata/AD_MESSAGE.xml
A src-db/database/model/functions/M_GETJSONDESCRIPTION.xml
---
(0100067)
hgbot (developer)
2017-10-25 16:38

Repository: retail/backports/3.0RR17Q4/pi-mobile
Changeset: 856464fef68e57629f0f42ae0cd7976c8a5c0e99
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Oct 25 16:20:49 2017 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR17Q4/pi-mobile/rev/856464fef68e57629f0f42ae0cd7976c8a5c0e99 [^]

related to issue 37063 backport of 36966: Update attrs tests

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/stockvalidation/CheckStockValidation.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/supportforattributes/SFA001SerialNumberProductWithStock.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/supportforattributes/SFA001SerialNumberProductWithoutStock.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/supportforattributes/SFA002NonSerialNumberProductWithStock.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/supportforattributes/SFA002NonSerialNumberProductWithoutStock.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/supportforattributes/SFA004SerialNumberMoreThanOneQuantity.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/supportforattributes/SFA005NonSerialMoreThanOneQuantity.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/supportforattributes/SFA006AddUnitToSerialNumber.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/supportforattributes/SFA007AddUnitToNonSerialNumber.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/supportforattributes/SFA008VerifiedReturns.java
---
(0100068)
hgbot (developer)
2017-10-25 16:41

Repository: retail/backports/3.0RR17Q4/org.openbravo.retail.posterminal
Changeset: cf9fcf3058cf19c891f3bab41cf86c00c765d860
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Oct 25 16:02:11 2017 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR17Q4/org.openbravo.retail.posterminal/rev/cf9fcf3058cf19c891f3bab41cf86c00c765d860 [^]

Related to issue 37063, Backport of 36966: Improvements to better support of attributes

- Now attributes are received without symbols and processed in the backend
- Now custom attributes are supported
- AttributeInstance is created when it is required
- When AttributeSetInstance is created every field is correctly populated
- New utility class created to work with attributes
- Added client side utility function
- When attr preference is enabled and order is loaded in web POS from ERP, read att values an generate description. Store it in attSetInstanceDesc property
- When processing an order prevously loaded in webPOS from ERP use attSetInstanceDesc property in backend

---
M src/org/openbravo/retail/posterminal/OBPOSComponentProvider.java
M src/org/openbravo/retail/posterminal/OrderLoader.java
M src/org/openbravo/retail/posterminal/PaidReceiptLinesProperties.java
M web/org.openbravo.retail.posterminal/js/components/renderorderline.js
M web/org.openbravo.retail.posterminal/js/model/order.js
A src/org/openbravo/retail/posterminal/utility/AttributesUtils.java
A web/org.openbravo.retail.posterminal/js/utils/attributeUtils.js
---
(0100069)
hgbot (developer)
2017-10-25 16:43

Repository: retail/backports/3.0RR17Q4/org.openbravo.retail.returns
Changeset: 875496ee4098091672b6a53d63e9fd4c04c6e689
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Oct 25 16:18:48 2017 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR17Q4/org.openbravo.retail.returns/rev/875496ee4098091672b6a53d63e9fd4c04c6e689 [^]

Related to issue 37063 backport of 36966: AttValue info retrieved from server y now a json object

- Receive attValue information taking into account new format
- Generate attDescription based on json information using utility function
- Compare the input inserted by the user with the attDescription

---
M web/org.openbravo.retail.returns/js/modalReturnLines.js
M web/org.openbravo.retail.returns/js/modalproductattributeverifiedreturns.js
---
(0100070)
hgbot (developer)
2017-10-25 16:44

Repository: retail/backports/3.0RR17Q4/org.openbravo.retail.sampledata
Changeset: 1d9a90fdbc3cc3959b670a16ef4e0ff651551d98
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Oct 25 16:21:39 2017 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR17Q4/org.openbravo.retail.sampledata/rev/1d9a90fdbc3cc3959b670a16ef4e0ff651551d98 [^]

Related to issue 37063: Add inventory status info to locators sample data

---
M referencedata/sampledata/The_White_Valley_Group/M_LOCATOR.xml
---
(0100071)
guilleaer (developer)
2017-10-25 17:08

commits done in stock validation module.

https://code.openbravo.com/erp/pmods/org.openbravo.retail.stockvalidation/rev/e25140ad0383 [^]

https://code.openbravo.com/erp/pmods/org.openbravo.retail.stockvalidation/rev/82bbac0defc1 [^]
(0100072)
guilleaer (developer)
2017-10-25 17:08

Modules Sample data changes

https://code.openbravo.com/erp/pmods-branches/org.openbravo.test.mobile.sampledata/rev/2e34c16fe9a4 [^]

https://code.openbravo.com/erp/pmods-branches/org.openbravo.test.mobile.sampledata/rev/cca05b644d92 [^]
(0100163)
hgbot (developer)
2017-10-30 18:15

Repository: retail/backports/3.0RR17Q4/org.openbravo.retail.posterminal
Changeset: 97845f43894dbe1de9fa51e990dd1fd69b379569
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Oct 30 18:15:11 2017 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR17Q4/org.openbravo.retail.posterminal/rev/97845f43894dbe1de9fa51e990dd1fd69b379569 [^]

Related to issue 37063, Backport of issue 36966: Fix copyright year

---
M web/org.openbravo.retail.posterminal/js/utils/attributeUtils.js
---
(0100214)
hgbot (developer)
2017-11-02 11:45

Repository: retail/backports/3.0RR17Q4/org.openbravo.retail.posterminal
Changeset: 1e2d6a7b8df837cf951d5c8d22646116e4cc4b0c
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Nov 02 11:44:39 2017 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR17Q4/org.openbravo.retail.posterminal/rev/1e2d6a7b8df837cf951d5c8d22646116e4cc4b0c [^]

Related to issue 37063, Backport of issue 36966: Verified returns are now working fine when return is synchronized

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
M src/org/openbravo/retail/posterminal/utility/AttributesUtils.java
---
(0100266)
hgbot (developer)
2017-11-03 13:28

Repository: retail/backports/3.0RR17Q4/org.openbravo.retail.posterminal
Changeset: bcc67cfc1244d485cc5b712546d097e1e492dc53
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Nov 03 13:28:24 2017 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR17Q4/org.openbravo.retail.posterminal/rev/bcc67cfc1244d485cc5b712546d097e1e492dc53 [^]

Related to issue 37063, Backport of issue 36966: Increase maxLengh of attribute value input

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/modals/modalproductattribute.js
---
(0101295)
hgbot (developer)
2017-12-29 15:18

Repository: tools/automation/pi-mobile
Changeset: 856464fef68e57629f0f42ae0cd7976c8a5c0e99
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Oct 25 16:20:49 2017 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/856464fef68e57629f0f42ae0cd7976c8a5c0e99 [^]

related to issue 37063 backport of 36966: Update attrs tests

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/stockvalidation/CheckStockValidation.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/supportforattributes/SFA001SerialNumberProductWithStock.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/supportforattributes/SFA001SerialNumberProductWithoutStock.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/supportforattributes/SFA002NonSerialNumberProductWithStock.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/supportforattributes/SFA002NonSerialNumberProductWithoutStock.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/supportforattributes/SFA004SerialNumberMoreThanOneQuantity.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/supportforattributes/SFA005NonSerialMoreThanOneQuantity.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/supportforattributes/SFA006AddUnitToSerialNumber.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/supportforattributes/SFA007AddUnitToNonSerialNumber.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/supportforattributes/SFA008VerifiedReturns.java
---

- Issue History
Date Modified Username Field Change
2017-10-13 12:19 guilleaer Type design defect => backport
2017-10-13 12:19 guilleaer Target Version => RR17Q4.1
2017-10-25 16:37 hgbot Checkin
2017-10-25 16:37 hgbot Note Added: 0100066
2017-10-25 16:37 hgbot Status scheduled => resolved
2017-10-25 16:37 hgbot Resolution open => fixed
2017-10-25 16:37 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR17Q4/rev/0d45c808862f08fbc57185151a7a66aef62e4a82 [^]
2017-10-25 16:38 hgbot Checkin
2017-10-25 16:38 hgbot Note Added: 0100067
2017-10-25 16:41 hgbot Checkin
2017-10-25 16:41 hgbot Note Added: 0100068
2017-10-25 16:43 hgbot Checkin
2017-10-25 16:43 hgbot Note Added: 0100069
2017-10-25 16:44 hgbot Checkin
2017-10-25 16:44 hgbot Note Added: 0100070
2017-10-25 17:08 guilleaer Note Added: 0100071
2017-10-25 17:08 guilleaer Note Added: 0100072
2017-10-30 18:15 hgbot Checkin
2017-10-30 18:15 hgbot Note Added: 0100163
2017-10-30 19:19 marvintm Target Version RR17Q4.1 => RR17Q4
2017-10-31 09:56 marvintm Assigned To Retail => marvintm
2017-11-02 11:45 hgbot Checkin
2017-11-02 11:45 hgbot Note Added: 0100214
2017-11-02 12:50 marvintm Review Assigned To => marvintm
2017-11-02 12:50 marvintm Status resolved => closed
2017-11-02 12:50 marvintm Fixed in Version => RR17Q4
2017-11-03 13:28 hgbot Checkin
2017-11-03 13:28 hgbot Note Added: 0100266
2017-12-29 15:18 hgbot Checkin
2017-12-29 15:18 hgbot Note Added: 0101295


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker